Arvados Workbench 2 - Feature #14308

[Looking for data and advanced search] Structured search - basic view - saving and removing

queries
10/05/2018 07:54 AM - Chrystian Klingenberg

Status: Closed Start date:

Priority: Normal Due date:

Assigned To: Pawel Kowalczyk % Done: 0%
Category: Estimated time: 0.00 hour
Target version: sprint 10

Description

As a user | would like to have an option to save and remove queries
so that | can manage my queries

Acceptance criteria:
- save search queries
- possibility to remove save search query

Mockup: https://3czrfi.axshare.com/#g=1&p=1__projects&c=1

Associated revisions

Revision 7490d5bb - 10/09/2018 12:51 PM - Pawel Kowalczyk

14314-min-size-for-side-bar

Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision fc1ebe11 - 10/10/2018 09:09 AM - Pawel Kowalczyk
Merge branch 'master’ into 14308-basic-view-saving-and-removing-queries

refs #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision b1df18d8 - 10/10/2018 01:29 PM - Pawel Kowalczyk

saving queries to localstorage
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision 449c296e - 10/10/2018 01:41 PM - Pawel Kowalczyk

deleting-from-localStorage
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision 0ee5928d - 10/10/2018 02:49 PM - Pawel Kowalczyk

saving-in-store-for-dynamic-deleting
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision e5696ae0 - 10/11/2018 08:18 AM - Pawel Kowalczyk

merge master
Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision 0cd54389 - 10/11/2018 09:48 AM - Pawel Kowalczyk

cr changes
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision 13a00ada - 10/11/2018 12:29 PM - Pawel Kowalczyk

merge checkbox
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision 92b95f14 - 10/11/2018 01:29 PM - Pawel Kowalczyk

connect saving queries with advanced tab
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision bf566905 - 10/11/2018 01:54 PM - Pawel Kowalczyk

cr changes
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision 3341bdb1 - 10/11/2018 02:04 PM - Pawel Kowalczyk

cr changes
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision 42dc0a41 - 10/11/2018 02:32 PM - Pawel Kowalczyk

tests
Feature #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

Revision bc311e9e - 10/11/2018 02:57 PM - Pawel Kowalczyk

Merge branch '14308-basic-view-saving-and-removing-queries'

refs #14308

Arvados-DCO-1.1-Signed-off-by: Pawel Kowalczyk <pawel.kowalczyk@contractors.roche.com>

History

#1 - 10/05/2018 07:58 AM - Chrystian Klingenberg
- File search - basic.PNG added

- Description updated

#2 - 10/08/2018 02:23 PM - Pawel Kowalczyk

- Assigned To set to Pawel Kowalczyk

#3 - 10/08/2018 02:26 PM - Pawel Kowalczyk

- Status changed from New to In Progress

#4 - 10/08/2018 02:26 PM - Pawel Kowalczyk
- Story points set to 3.0

#5 - 10/11/2018 02:58 PM - Pawel Kowalczyk

- Status changed from In Progress to Resolved

#6 - 10/16/2018 06:55 AM - Michal Komorowski

- Status changed from Resolved to Closed

Files

search - basic.PNG 13.8 KB
